config = dict \
(
protocol = "postgresql_psycopg",
decimal_precision = (10, 2),
server_address = ("$db_host", "eval(int($db_port))"),
connect_timeout = 3.0,
database = "$db_database",
username = "$db_user",
password = "$db_pass",
# meta parameters control the pool rather that resource instances
# see ./shared/config_resource_void.py for more
pool__size = 2,                   # restricts max. number of concurrent connections
pool__cache_size = 1024,          # see transaction.py for more
pool__cache_policy = "lru",
pool__cache_default_ttl = 30.0,
pool__cache_evict_period = 45.0,
)

# DO NOT TOUCH BELOW THIS LINE

__all__ = [ "get", "copy" ]

try: self_test_config
except NameError: self_test_config = {}

get = lambda key, default = None: pmnc.config.get_(config, self_test_config, key, default)
copy = lambda: pmnc.config.copy_(config, self_test_config)

# EOF
